package com.phm.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;

/**
 * 寿命件配置库信息对象 phm_life_part_config
 * 
 * @author phm
 * @date 2023-08-23
 */
public class LifePartConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一ID */
    private Long id;

    /** 寿命件名称 */
    @Excel(name = "寿命件名称")
    private String name;

    /** 寿命监视参数名称 */
    @Excel(name = "寿命监视参数名称")
    private String monitorName;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setMonitorName(String monitorName) 
    {
        this.monitorName = monitorName;
    }

    public String getMonitorName() 
    {
        return monitorName;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("monitorName", getMonitorName())
            .append("unit", getUnit())
            .toString();
    }
}
